package com.gic.haoban.manage.service.service.moment;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.haoban.manage.api.dto.moment.QwMomentPlanDTO;
import com.gic.haoban.manage.api.dto.moment.QwMomentPlanWxaDTO;
import com.gic.haoban.manage.api.qdto.moment.PlanListWxaQDTO;
import com.gic.haoban.manage.api.qdto.moment.QwMomentPlanQDTO;
import com.gic.haoban.manage.api.qdto.moment.TaskNumQDTO;

public interface QwMomentPlanService {

    ServiceResponse<QwMomentPlanDTO> save(QwMomentPlanDTO plan) ;

    ServiceResponse<Void> del(Long planId) ;

    ServiceResponse<Void> stop(Long planId) ;

    ServiceResponse<QwMomentPlanDTO> detail(Long planId) ;

    ServiceResponse<Page<QwMomentPlanDTO>> planList(QwMomentPlanQDTO qdto) ;

    void initTaskClerk(String params);

    void sendPlanNoticeTimer(String params);

    ServiceResponse<Integer> getTaskNum(TaskNumQDTO qdto);
    ServiceResponse<Page<QwMomentPlanWxaDTO>> planListWxa(PlanListWxaQDTO qdto);
}
